var _orange : Rigidbody;

var _throwDifference : Vector2 = Vector2.zero;

var _fireRate : float = 3.0;
private var _nextFire : float = 0.0;

function Update () {
	if (Time.time > _nextFire) {
		var _randomThrow : Vector2 = Vector2(Random.Range(
		_throwDifference.x,_throwDifference.x),Random.Range(_throwDifference.y,_throwDifference.y*2));
		_nextFire = Time.time+_fireRate+ (Random.Range(-3,3));
    	var _orangeClone : Rigidbody;
	    _orangeClone = Instantiate(_orange, Vector3(transform.position.x
	    							+_randomThrow.x,transform.position.y,transform.position.z),transform.rotation);
	    _orangeClone.velocity = Vector3(-_randomThrow.x,_randomThrow.y, 0);
    }
}


